## ros-indigo-moveit-visual-tools 3.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_visual_tools)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  rviz_visual_tools
  eigen_conversions
  geometry_msgs
  moveit_ros_robot_interaction
  moveit_core
  roscpp
  tf_conversions
  visualization_msgs
  graph_msgs
  std_msgs
  trajectory_msgs
  cmake_modules
)

find_package(Eigen REQUIRED)
find_package(Boost REQUIRED thread system)

# Catkin
catkin_package(
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    rviz_visual_tools
    moveit_ros_robot_interaction
    moveit_core
    geometry_msgs
    visualization_msgs
    graph_msgs
    std_msgs
    moveit_msgs
    trajectory_msgs
  INCLUDE_DIRS include
)

# Enable gdb to show line numbers
#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -g -W -Wno-unused-parameter -fno-strict-aliasing")

## Build

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Visualization Tools Library
add_library(${PROJECT_NAME}
  src/moveit_visual_tools.cpp
)
add_dependencies(${PROJECT_NAME} graph_msgs_generate_messages_cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Demo executable
add_executable(${PROJECT_NAME}_demo src/${PROJECT_NAME}_demo.cpp)
target_link_libraries(${PROJECT_NAME}_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME}
)

# Demo executable
add_executable(${PROJECT_NAME}_collision_objects_demo src/collision_objects_demo.cpp)
set_target_properties(${PROJECT_NAME}_collision_objects_demo
  PROPERTIES OUTPUT_NAME collision_objects_demo PREFIX ""
)
target_link_libraries(${PROJECT_NAME}_collision_objects_demo
  ${catkin_LIBRARIES} ${PROJECT_NAME}
)

## Install

# Install libraries
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install executables
install(TARGETS ${PROJECT_NAME}_demo ${PROJECT_NAME}_collision_objects_demo
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-moveit-visual-tools (3.0.4-1trusty) trusty; urgency=high

  * Removed stray debug output
  * Improved debugging output for the hideRobot() feature and virtual_joints
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 12 Jan 2016 07:00:00 -0000

ros-indigo-moveit-visual-tools (3.0.3-1trusty) trusty; urgency=high

  * Renamed test to demo
  * New publishTrajectoryLine() function
  * Fix travis
  * Deprecated loadEEMarker() that uses string
  * Formatted code
  * Switched from MOVEIT deprecated to RVIZ_VISUAL_TOOLS deprecated
  * Fixed shared_robot_state to initialize correctly every time
  * Switched to using name_ variables
  * Add error checks to publishTrajectoryLine
  * Added ability for publishTrajectoryLine to clear all previous markers
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 10 Jan 2016 07:00:00 -0000

ros-indigo-moveit-visual-tools (3.0.2-1trusty) trusty; urgency=high

  * Updated README
  * Temp fix missing variable
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 07:00:00 -0000

ros-indigo-moveit-visual-tools (3.0.1-1trusty) trusty; urgency=high

  * catkin lint cleanup
  * Fix travis
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-indigo-moveit-visual-tools (3.0.0-1trusty) trusty; urgency=high

  * Release 3.0
  * Added travis support
  * fix the how to link a demo img
  * Updated link to Doxygen API description
  * Formatting and better debug output
  * Fix hide robot bug
  * Remove incompatible humanoid function
  * Default color when publishing collision meshes
  * Added error check for bad value
  * API change for removal of shape_tools
  * New publish trajectory line function
  * Remove slash from topic name
  * Removed mute functionality
  * Improved loading efficiency
  * publishContactPoints accepts a color
  * Change topics to default when opening Rviz
  * New publishCollisionMesh() function
  * Changed publishCollisionMesh() API
  * Renamed publishCollisionRectangle to publishCollisionCuboid()
  * Updated rviz_visual_tools API
  * New publishMesh from ROS msg function
  * publishRobotState() for a RobotStateMsg now allows color
  * publishTrajectoryPath() for a ROS msg now requires a RobotState
  * New method for attaching collision objects that does not require a publisher
  * Specify scene name and cleanup logging
  * Fixed error checking for hideRobot() function
  * loadTrajectoryPub() allows custom topic
  * New publishTrajectoryPoints() function
  * New publishContactPoints function
  * New publishTrajectoryPath() function
  * New getRobotModel() function
  * New ability to visualize IK solutions with arbitrary virtual joint
  * API Broken: ability to have different end effectors for different arms, auto EE marker loading
  * Publish collision meshes
  * Added check for virtual joint
  * Fixed which arrow gets published
  * Publish fixed link arrows to show footstep locations
  * Ability to specify robot_state_topic without loading the publisher
  * Contributors: Dave Coleman, Daiki Maekawa, simonschmeisser

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 07:00:00 -0000

ros-indigo-moveit-visual-tools (2.2.0-1trusty) trusty; urgency=high

  * Code cleanup
  * Improved naming
  * Joint model bug fix
  * Improved speed of sending collision objects to Rviz
    Added Manual planning scene update mode
    Ability to apply colors to all collision objects (YAY)
    API: removed removeAllCollisionObjectsPS function
    Removed loadPlanningPub() function
    Removed publishRemoveAllCollisionObjects() function
  * Added backwards compatibile loadCollisionSceneFromFile()
  * New publishCollisionRectangle function
    API: Changed loadCollisionSceneFromFile() to accept a pose instead of x,y
  * Fix for renamed function
  * New publishWorkspaceParameters() function
  * Added ability to publish robot states with color
  * Fixed install method
  * Merge pull request #5 <https://github.com/davetcoleman/moveit_visual_tools/issues/5> from robomakery/feature/fix-collision-objects-test
  * Fixes for missing declarations in collision_objects_test.cpp
  * Refactored how collision ojects are published
    Created new collision objects test and roslaunch file
    Optimized header file
    Removed loadCollisionPub() function
    Fixed publishCollisionFloor
    Added publishCollisionRectangle
  * Contributors: Dave Coleman, Dylan Vaughn

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 07 Jan 2015 07:00:00 -0000

ros-indigo-moveit-visual-tools (2.1.0-1trusty) trusty; urgency=high

  * Fix for upstream change of RvizVisualTools
  * Set animation speed of grasps
  * Fix publishing end effector
  * New publishCollisionObjectMsg() function
  * New getSharedRobotState() accessor function
  * Consolidated publish marker functions
  * Fixed loadEEMarker() to be called more than once
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 31 Oct 2014 06:00:00 -0000

ros-indigo-moveit-visual-tools (2.0.0-1trusty) trusty; urgency=high

  * Updated README
  * API Upgrade Notes
  * Renamed to have 'MoveIt' prefix in class and file name, moved base functionality to rviz_visual_tools
  * Added new publishSphere function and publish_sphere test script
  * Created better test script
  * Better static_id handling for publishText
  * Added mainpage for API docs
  * Enabled colors
  * Improved integer random num generation
  * New publishSpheres functions
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 27 Oct 2014 06:00:00 -0000

ros-indigo-moveit-visual-tools (1.3.0-1trusty) trusty; urgency=high

  * Added new getRandColor() function
  * Added TRANSLUCENT color
  * Added two new publishSphere() functions
  * New convertPointToPose function
  * Reduced sleep timer for starting all publishers from 0.5 seconds to 0.2 seconds


=== debian/control ===
Source: ros-indigo-moveit-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-graph-msgs, ros-indigo-moveit-core, ros-indigo-moveit-ros-robot-interaction, ros-indigo-roscpp, ros-indigo-rviz-visual-tools, ros-indigo-std-msgs, ros-indigo-tf-conversions, ros-indigo-trajectory-msgs, ros-indigo-visualization-msgs
Homepage: https://github.com/davetcoleman/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-indigo-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-graph-msgs, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-robot-interaction, ros-indigo-rviz-visual-tools, ros-indigo-std-msgs, ros-indigo-trajectory-msgs, ros-indigo-visualization-msgs
Description: Helper functions for displaying and debugging MoveIt! data in Rviz via published markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-visual-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
